Subject: Re: question about pipes (NBY)
From: [email-masked] (Earnie Boyd)

19 Dec 1997 05:55:55 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

This has been discussed before.  Check the mail archives.  I also 
suggest that you upgrade to version B18 and get a patched cygwin.dll 
from Sergey Okhapkin.

Let me point you to:

ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)

http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)

http://www.cygnus.com/misc/gnu-win32/                (Project Page)

http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)

http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)

http://www.lexa.ru/sos                               (Sergey Okhapkin)

http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)

http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>Date: Fri, 19 Dec 1997 11:45:01 +0100
>From: "Magossa'nyi A'rpa'd" <[email-masked]>
>To: [email-masked]
>Subject: question about pipes
>
>Hi!
>
>I am now porting scp to win32, using the crosscompiler on a  Debian 
GNU/L=
>inux
>host.
>The cygwin32 version is 17.1-1
>I am using the initial source of [email-masked]
>The ssh runs nearly well, but looks like it is unable to handle 
filenames
>properly.
>My problem at this point with the handling of pipes.
>scp works like this:
>It opens two pipes, forks, the child exec()s ssh with the proper 
argument=
>s,
>and the child and the parent tries to communicate through the pipes.
>It seems that the data stuck in the pipe, and it causes a deadlock.
>If I modify the source to write() into the pipe in the child, and
>immediately close it, the parent gets the data, and the child complains
>because it cannot write() into the closed file descriptor.
>But if I didn't screw it up, the parent seems to hang on the first 
read().
>
>Anyone have any idea about it?
>
>---
>GNU GPL: csak tiszta forr=E1sb=F3l
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".